Subject: Re: [OPSAWG] Tsvart early review of draft-ietf-opsawg-ipfix-tcpo-v6eh-05

From: Wesley Eddy <[email-masked]>
Date: Tue, 16 Jan 2024 15:20:30 -0500

On 1/16/2024 11:10 AM, [email-masked] wrote:
>
> Are you expecting the implementation to have an exhaustive list of all 
> of the ExIDs in use to understand the difference between 2 and 4 byte 
> usage?
>
> */[Med] Yes because otherwise an implem can’t unambiguously identify 
> and extract ExIDs. We do provide a pointer to the registered ExIDs:/*
>
> *//*
>
> */==/*
>
> Additional Information:  See assigned ExIDs at [IANA-TCP-EXIDs].
>
> */== /*
>
> *//*
>
> */Please let me know if you still think a clarification is needed to 
> the draft. Thanks./*
>
New ExIDs are able to be added to the IANA registry at any time, just 
via requesting them.  Is an IPFIX implementation expected to 
periodically fetch the registry and reload its known values?